#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Musepack decoding library
Summary(pl.UTF-8):	Biblioteka do dekodowania formatu musepack
Name:		libmpcdec
Version:	1.2.6
Release:	4
License:	BSD
Group:		Libraries
Source0:	http://files2.musepack.net/source/%{name}-%{version}.tar.bz2
# Source0-md5:	7f7a060e83b4278acf4b77d7a7b9d2c0
Patch0:		ac.patch
URL:		http://www.musepack.net/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
Obsoletes:	libmusepack
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library handles decoding of the MPC format, which is an audio
compression format with a strong emphasis on high quality. It's not
lossless, but it is designed for transparency, so that you won't be
able to hear differences between the original wave file and the much
smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2 algorithms,
but since 1997 it has rapidly developed and vastly improved and is now
at an advanced stage in which it contains heavily optimized and
patentless code.

%description -l pl.UTF-8
Ta biblioteka obsługuje dekodowanie formatu MPC, który jest formatem
kompresji dźwięku z naciskiem na wysoką jakość. Nie jest bezstratny,
ale jest zaprojektowany dla przezroczystości tak, że nie można
usłyszeć różnicy między oryginalnym plikiem wave a dużo mniejszym
plikiem MPC. Jest oparty na algorytmach MPEG-1 Layer-2 / MP2, ale od
1997 roku został znacznie rozwinięty i ulepszony, a teraz jest w
zaawansowanym stadium, w którym zawiera silnie zoptymalizowany i nie
objęty patentami kod.

%package devel
Summary:	Header files for libmpcdec
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki libmpcdec
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libmusepack-devel

%description devel
Header files for libmpcdec.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki libmpcdec.

%package static
Summary:	Static version of the libmpcdec library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libmpcdec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libmusepack-static

%description static
Static version of the libmpcdec library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libmpcdec.

%package examples
Summary:	Example of using libmpcdec with documentation
Summary(pl.UTF-8):	Przykład użycia libmpcdec z dokumentacją
Group:		Documentation

%description examples
Example of using libmpcdec with documentation.

%description examples -l pl.UTF-8
Przykład użycia libmpcdec z dokumentacją.

%prep
%setup -q
%patch0 -p1

%build
%{?debug:%{__sed} -i -e "s,-O3 -fomit-frame-pointer,,g" configure.ac}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/sample.cpp $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libmpcdec.so.*.*.*
%ghost %{_libdir}/libmpcdec.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpcdec.so
%{_libdir}/libmpcdec.la
%{_includedir}/mpcdec

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmpcdec.a
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Mar 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmpcdec.git;a=log;h=master

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> bdbacd8
- fix configure regeneration problem
- rel 4

* Mon Sep 10 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 0b48f43
- rel.3

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 329061e
- rel 2
- fixed stupid typo

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 3a226f1
- up to 1.2.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d3fd115
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 04a1780
- converted to UTF-8

* Sat Nov 26 2005 Karol Krenski <charles@pld-linux.org> e9ccf52
- added bcond_without static_libs
- BR: sed >= 4.0

* Sun Nov 06 2005 blekot <blekot@pld-linux.org> fdeb373
- up to 1.2.2
- new source url

* Sun Sep 11 2005 wolf <wolf@pld-linux.org> 3e49d7e
- 1.2.1

* Tue May 31 2005 Jakub Bogusz <qboosh@pld-linux.org> 2b76399
- more Obsoletes for libmusepack

* Tue May 31 2005 Jakub Bogusz <qboosh@pld-linux.org> 2dfec63
- pl, unified

* Thu May 26 2005 djurban <djurban@pld-linux.org> d2da02c
- remove framepoitner so in debug so it can be debugged in ac
- example's group set to Documentation

* Wed May 25 2005 djurban <djurban@pld-linux.org> 3240cf8
- initial version 1.2
- obsolets libmusepack, didnt do the cvs mv since i rewrote the spec from scratch
- need to check the examples group, maybe Documentation?
- for debug build remove only -O3, with gcc4 and location lists -fomitfp doesnt
  break debug builds
- docs in examples subpackage (no need to mess devel with apidocs,
  some who will want to learn the api will install the exampes pkg anyway)

